
{#
 # complete fb feed listing
 #}

{% set i = 0 %}

{% for f in feed if i < count and f.getAuthor() == 'Silver Papillon' %}
    <div class="card-feed-social" id="{{ f.getId }}">
        <div class="card is-animated">

            <div class="card-section-head">

                <div class="feed-info-type">
                    {% if f.isVideo() %}{{ ion('videocamera') }}{% elseif f.isPhoto() %}{{ ion('images') }}{% else %}{{ ion('document-text') }}{% endif %}
                </div>

                <div class="feed-info-date">
                    <time datetime="{{ f.getCreatedOn().format('c') }}">
                        {{ f.getCreatedOn().format('F j Y') }} @ {{ f.getCreatedOn().format('g:ia') }}
                    </time>
                </div>

            </div>

            <div class="card-section-body">

                <div class="feed-post-message">
                    <p>{{ f.getMessage() }}</p>
                </div>

            </div>

            <div class="card-section-foot">
                <div class="feed-post-attachments">

                    <div class="card-feed-attachment">
                        <div class="card is-animated">

                            {% if f.isVideo()|default(false) %}
                                <div class="card-section-head is-overlay">

                                    <span class="fa-stack fa-lg">
                                      <i class="fa fa-circle fa-stack-2x"></i>
                                      <i class="fa fa-youtube-play fa-stack-1x fa-inverse"></i>
                                    </span>

                                </div>
                            {% endif %}

                            <div class="card-section-body">
                                {% for j, m in f.getMedia()|slice(0, 1) %}
                                    <a  class="feed-attachment-link"
                                        title="{{ m.getCreatedOn()|default(f.getCreatedOn()) | date("m/d/Y") }} - {{ m.getText()|default(f.getMessage()) }} ({{ j+1 }} of {{ f.getMedia|length }})"
                                        data-fancybox-initialized="0"
                                        rel="photo-group"
                                        {% if m.isVideo() %}
                                            href="https://www.facebook.com/video.php?v={{ m.getId() }}"
                                        {% else %}
                                            href="{{ m.formatLgrThan(1800).getLink() | cache_url | imagine_filter('feed_media_lg') }}"
                                        {% endif %}
                                    >

                                        <img
                                            class="feed-attachment"
                                            src="{{ m.formatSlrThan(1200).getLink() | cache_url | imagine_filter('feed_media_thumb_lg')  }}"
                                            alt="{{ m.getText()|default(f.getMessage()) }}" />

                                    </a>
                                {% endfor %}
                            </div>

                            <div class="card-section-foot is-overlay is-toggleable">
                                <p class="feed-type">

                                    {% if f.getFirstMedia().isVideo() %}Watch video{% else %}Enlarge photo{% endif %}
                                    {{ ion('android-arrow-forward') }}

                                </p>
                            </div>
                        </div>
                    </div>

                </div>
            </div>

        </div>

        {% if f.getMedia()|slice(1)|length > 0 %}
            <div class="card is-animated is-top-flush">
                <div class="card-section-foot">
                    {% for j, m in f.getMedia()|slice(1) %}
                        <div class="card-feed-attachment">
                            <div class="card is-animated">

                                {% if m.isVideo()|default(false) %}
                                    <div class="card-section-head is-overlay">

                                    <span class="fa-stack fa-lg">
                                      <i class="fa fa-circle fa-stack-2x"></i>
                                      <i class="fa fa-youtube-play fa-stack-1x fa-inverse"></i>
                                    </span>

                                    </div>
                                {% endif %}

                                <div class="card-section-body">
                                    <a  class="feed-attachment-link"
                                        title="{{ m.getCreatedOn()|default(f.getCreatedOn()) | date("m/d/Y") }} - {{ m.getText()|default(f.getMessage()) }} ({{ j+1 }} of {{ f.getMedia|length }})"
                                        data-fancybox-initialized="0"
                                        rel="photo-group"
                                            {% if m.isVideo() %}
                                                href="https://www.facebook.com/video.php?v={{ m.getId() }}"
                                            {% else %}
                                                href="{{ m.formatLgrThan(1800).getLink() | cache_url | imagine_filter('feed_media_lg') }}"
                                            {% endif %}
                                    >

                                        <img
                                                class="feed-attachment"
                                                src="{{ m.formatSlrThan(1200).getLink() | cache_url | imagine_filter('feed_media_thumb_lg')  }}"
                                                alt="{{ m.getText()|default(f.getMessage()) }}" />

                                    </a>
                                </div>

                                <div class="card-section-foot is-overlay is-toggleable">
                                    <p class="feed-type">

                                        {% if f.getFirstMedia().isVideo() %}Watch video{% else %}Enlarge photo{% endif %}
                                        {{ ion('android-arrow-forward') }}

                                    </p>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        {% endif %}
    </div>
    {% set i = i + 1 %}
{% endfor %}
